Page MenuHomePhabricator

Update Zotero (outdated Nature translator reverses author list)
Closed, ResolvedPublic

Description

I'm not quite sure where this problem emerge, but I just got the following strange result

Given you have opened VisualEditor for editing
When you open citoid for automatic cite harvesting
And fill in https://arxiv.org/abs/1905.04206
Then the result should have K. Darshana Abeyrathna as first entry and Morten Goodwin as last entry

Now it has Morten Goodwin as first entry and K. Darshana Abeyrathna as last entry.

It is customary that those that do the actual work is written first and honorary entries are placed last. It is thus quite important that this is right.

Event Timeline

jeblad created this task.May 13 2019, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 3:26 PM
jeblad renamed this task from Inverted author list from citoid to [Bug] Reversed list of authors from citoid.May 13 2019, 3:27 PM
jeblad renamed this task from [Bug] Reversed list of authors from citoid to [Bug] citoid gives reversed list of authors.
Mvolz added a subscriber: Mvolz.Aug 9 2019, 3:54 PM

For future reference, you can see here that the results are coming from Zotero:

https://en.wikipedia.org/api/rest_v1/#/Citation/getCitation
https://en.wikipedia.org/api/rest_v1/data/citation/mediawiki/https%3A%2F%2Fwww.nature.com%2Farticles%2Fs41558-019-0527-4

('source' field) (and it also says it in the dialog)

We haven't updated Zotero in a while, I've just checked out the latest version and it works, so it's just an outdated translator it looks like. I've been meaning to update soon.

Mvolz renamed this task from [Bug] citoid gives reversed list of authors to Update Zotero (outdated Nature translator reverses author list).Aug 9 2019, 3:55 PM
Mvolz claimed this task.
Mvolz triaged this task as Medium priority.

Change 529393 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/zotero@master] Update Zotero; fixes outdated Nature translator

https://gerrit.wikimedia.org/r/529393

Change 529393 merged by jenkins-bot:
[mediawiki/services/zotero@master] Update Zotero to cf8fb42436; fixes outdated Nature translator

https://gerrit.wikimedia.org/r/529393

Mvolz added a comment.Sep 24 2019, 9:10 AM

Deployed, fixed for at least the two examples given.

Mvolz closed this task as Resolved.Sep 24 2019, 9:10 AM

Checked my own example, and it works.